Skip to main content
PUT
/
organisations
/
{id}
Update organisation
const options = {
  method: 'PUT',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: '<string>',
    industryId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
    contactEmail: '<string>',
    country: '<string>'
  })
};

fetch('https://api.dolfinai.co/organisations/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "name": "<string>",
  "contactEmail": "<string>",
  "country": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "industryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "industryCode": "<string>",
  "industryDisplayName": "<string>",
  "phone": "<string>",
  "website": "<string>",
  "addressLine1": "<string>",
  "addressLine2": "<string>",
  "city": "<string>",
  "postalCode": "<string>",
  "taxNumber": "<string>",
  "companyRegistrationNumber": "<string>",
  "vatRegistered": true,
  "incorporationYear": 123,
  "primaryColour": "<string>",
  "logoUrl": "<string>",
  "defaultCurrency": "<string>",
  "defaultPaymentTermsDays": 123,
  "latePaymentFee": 123,
  "bankDetails": {
    "accountHolderName": "<string>",
    "accountNumber": "<string>",
    "sortCode": "<string>",
    "routingNumber": "<string>",
    "iban": "<string>",
    "bicSwift": "<string>",
    "country": "<string>",
    "currency": "<string>"
  },
  "hasBeenOnboarded": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updatedAt": "2023-11-07T05:31:56Z",
  "updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dolfinai.co/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string<uuid>
required

Body

application/json
name
string
required
industryId
string<uuid>
required
contactEmail
string
required
country
string
required

ISO 3166-1 alpha-2 country code (e.g. GB, US, DE)

phone
null | string
website
null | string
addressLine1
null | string
addressLine2
null | string
city
null | string
postalCode
null | string
taxNumber
null | string
companyRegistrationNumber
null | string
vatRegistered
null | boolean
businessType
null | any
Available options:
SoleTrader,
LimitedCompany,
LLP,
Partnership,
null
incorporationYear
employeeCount
null | any
Available options:
OneToTen,
ElevenToFifty,
FiftyOneToTwoHundred,
TwoHundredToOneThousand,
OneThousandPlus,
null
annualRevenue
null | any
Available options:
Under100k,
OneHundredToFiveHundredK,
FiveHundredKToTwoM,
TwoMPlus,
null
avgInvoicesPerMonth
null | any
Available options:
OneToTen,
ElevenToFifty,
FiftyToOneHundred,
OneHundredPlus,
null
avgInvoiceValue
null | any
Available options:
Under500,
FiveHundredToFiveK,
FiveKToFiftyK,
Over50k,
null
primaryPaymentMethod
null | any
Available options:
BankTransfer,
Card,
DirectDebit,
Cash,
null
primaryColour
null | string
logoUrl
null | string
defaultCurrency
null | string

ISO 4217 currency code (e.g. GBP, USD, EUR)

defaultPaymentTermsDays
latePaymentFee
bankDetails
object
hasBeenOnboarded
null | boolean

Response

OK

name
string
required
contactEmail
string
required
country
string
required

ISO 3166-1 alpha-2 country code (e.g. GB, US, DE)

id
string<uuid>
clientId
string<uuid>
industryId
string<uuid>
industryCode
null | string
industryDisplayName
null | string
phone
null | string
website
null | string
addressLine1
null | string
addressLine2
null | string
city
null | string
postalCode
null | string
taxNumber
null | string
companyRegistrationNumber
null | string
vatRegistered
null | boolean
businessType
null | any
Available options:
SoleTrader,
LimitedCompany,
LLP,
Partnership,
null
incorporationYear
employeeCount
null | any
Available options:
OneToTen,
ElevenToFifty,
FiftyOneToTwoHundred,
TwoHundredToOneThousand,
OneThousandPlus,
null
annualRevenue
null | any
Available options:
Under100k,
OneHundredToFiveHundredK,
FiveHundredKToTwoM,
TwoMPlus,
null
avgInvoicesPerMonth
null | any
Available options:
OneToTen,
ElevenToFifty,
FiftyToOneHundred,
OneHundredPlus,
null
avgInvoiceValue
null | any
Available options:
Under500,
FiveHundredToFiveK,
FiveKToFiftyK,
Over50k,
null
primaryPaymentMethod
null | any
Available options:
BankTransfer,
Card,
DirectDebit,
Cash,
null
primaryColour
null | string
logoUrl
null | string
defaultCurrency
null | string

ISO 4217 currency code (e.g. GBP, USD, EUR)

defaultPaymentTermsDays
latePaymentFee
bankDetails
object
hasBeenOnboarded
boolean
createdAt
string<date-time>
createdBy
null | string<uuid>
updatedAt
string<date-time>
updatedBy
null | string<uuid>